DynSequence (Java Platform SE 8 )
Keywords: org.omg.DynamicAny.DynSequence interface
Date: 2026-04-24

org.omg.DynamicAny

## Interface DynSequence

- All Superinterfaces:
    DynAny, DynAnyOperations, DynSequenceOperations, IDLEntity, Object, Serializable
  All Known Implementing Classes:
    _DynSequenceStub

      public interface DynSequence
      extends DynSequenceOperations, DynAny, IDLEntity

  DynSequence objects support the manipulation of IDL sequences.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.DynamicAny.DynSequenceOperations

      `get_elements_as_dyn_any, get_elements, get_length, set_elements_as_dyn_any, set_elements, set_length`

    - ### Methods inherited from interface org.omg.DynamicAny.DynAnyOperations

      `assign, component_count, copy, current_component, destroy, equal, from_any, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.